## linux-lpia 2.6.28-2.4

=== Makefile ===
VERSION = 2
PATCHLEVEL = 6
SUBLEVEL = 28
EXTRAVERSION = .2
NAME = Erotic Pickled Herring

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not:
# o  use make's built-in rules and variables
#    (this increases performance and avoids hard-to-debug behaviour);
# o  print "Entering directory ...";
MAKEFLAGS += -rR --no-print-directory

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifdef V
  ifeq ("$(origin V)", "command line")
    KBUILD_VERBOSE = $(V)
  endif
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifdef C
  ifeq ("$(origin C)", "command line")
    KBUILD_CHECKSRC = $(C)
  endif
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif
ifdef M
  ifeq ("$(origin M)", "command line")
    KBUILD_EXTMOD := $(M)
  endif
endif


# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifdef O
  ifeq ("$(origin O)", "command line")
    KBUILD_OUTPUT := $(O)
  endif
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell cd $(KBUILD_OUTPUT) && /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error output directory "$(saved-output)" does not exist))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	$(Q)@:

sub-make: FORCE
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile \
	$(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

srctree		:= $(if $(KBUILD_SRC),$(KBUILD_SRC),$(CURDIR))
TOPDIR		:= $(srctree)
# FIXME - TOPDIR is obsolete, use srctree/objtree
objtree		:= $(CURDIR)
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH TOPDIR


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and 
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh.*/sh/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
export KBUILD_BUILDHOST := $(SUBARCH)
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?=

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Where to locate arch specific headers
ifeq ($(ARCH),sparc64)
       hdr-arch  := sparc
else
       hdr-arch  := $(SRCARCH)
endif

KCONFIG_CONFIG	?= .config

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer
HOSTCXXFLAGS = -O2

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

#	If we have only "make modules", don't compile built-in objects.
#	When we're building modules with modversions, we need to consider
#	the built-in objects during the descend as well, in order to
#	make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

#	If we have "make <whatever> modules", compile modules
#	in addition to whatever we do anyway.
#	Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed. 
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(findstring s,$(MAKEFLAGS)),)
  quiet=silent_
endif

export quiet Q KBUILD_VERBOSE


# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions (do not try to remake the file).
$(srctree)/scripts/Kbuild.include: ;
include $(srctree)/scripts/Kbuild.include

# Make variables (CC, etc...)

AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
DEPMOD		= /sbin/depmod
KALLSYMS	= scripts/kallsyms
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ -Wbitwise $(CF)
MODFLAGS	= -DMODULE
CFLAGS_MODULE   = $(MODFLAGS)
AFLAGS_MODULE   = $(MODFLAGS)
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=

# Prefer linux-backports-modules
ifneq ($(KBUILD_SRC),)
ifneq ($(shell if test -e $(KBUILD_OUTPUT)/ubuntu-build; then echo yes; fi),yes)
UBUNTUINCLUDE := -I/usr/src/linux-headers-lbm-$(KERNELRELEASE)
endif
endif

# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := $(UBUNTUINCLUDE) -Iinclude \
                   $(if $(KBUILD_SRC),-Iinclude2 -I$(srctree)/include) \
                   -I$(srctree)/arch/$(hdr-arch)/include               \
                   -include include/linux/autoconf.h

# UBUNTU: Include our third party driver stuff too
LINUXINCLUDE	+= -Iubuntu/include \
		   $(if $(KBUILD_SRC),-I$(srctree)/ubuntu/include)

KBUILD_CPPFLAGS := -D__KERNEL__ $(LINUXINCLUDE)

KBUILD_CFLAGS   := -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs \
		   -fno-strict-aliasing -fno-common \
		   -Werror-implicit-function-declaration
KBUILD_AFLAGS   := -D__ASSEMBLY__

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION).$(PATCHLEVEL).$(SUBLEVEL)$(EXTRAVERSION)

export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION
export ARCH SRCARCH CONFIG_SHELL HOSTCC HOSTCFLAGS CROSS_COMPILE AS LD CC
export CPP AR NM STRIP OBJCOPY OBJDUMP MAKE AWK GENKSYMS PERL UTS_MACHINE
export HOSTCXX HOSTCXXFLAGS LDFLAGS_MODULE CHECK CHECKFLAGS

export KBUILD_CPPFLAGS NOSTDINC_FLAGS LINUXINCLUDE OBJCOPYFLAGS LDFLAGS
export KBUILD_CFLAGS CFLAGS_KERNEL CFLAGS_MODULE
export KBUILD_AFLAGS AFLAGS_KERNEL AFLAGS_MODULE

# When compiling out-of-tree modules, put MODVERDIR in the module
# tree rather than in the kernel tree. The kernel tree might
# even be read-only.
export MODVERDIR := $(if $(KBUILD_EXTMOD),$(firstword $(KBUILD_EXTMOD))/).tmp_versions

# Files to ignore in find ... statements

RCS_FIND_IGNORE := \( -name SCCS -o -name BitKeeper -o -name .svn -o -name CVS -o -name .pc -o -name .hg -o -name .git \) -prune -o

=== ubuntu/Makefile ===
#
# Makefile for the Linux kernel ubuntu supplied third-party device drivers.
#

obj-$(CONFIG_BLK_DEV_DRBD)	+= drbd/
obj-$(CONFIG_SCSI_ISCSITARGET)	+= iscsitarget/
obj-$(CONFIG_SQUASHFS)		+= squashfs/
obj-$(CONFIG_AUFS)		+= aufs/
obj-$(CONFIG_ATL2)		+= atl2/
obj-$(CONFIG_NET_ET131X)	+= et131x/
obj-$(CONFIG_DM_RAID45)		+= dm-raid4-5/
obj-$(CONFIG_DM_LOOP)		+= dm-loop/
obj-$(CONFIG_NDISWRAPPER)	+= ndiswrapper/
obj-$(CONFIG_TLSF)		+= compcache/
obj-$(CONFIG_HECI)		+= heci/
obj-$(CONFIG_QC_USB)		+= qc-usb/
obj-$(CONFIG_FS_UNIONFS)	+= unionfs/
obj-$(CONFIG_LIRC_DEV)          += lirc/
obj-$(CONFIG_GFS_FS)		+= gfs/
obj-$(CONFIG_TLSUP)		+= tlsup/
obj-$(CONFIG_RT2860)            += ../drivers/staging/rt2860
obj-$(CONFIG_RT2870)            += ../drivers/staging/rt2870

obj-m				+= misc/ rfkill/

# This is a stupid trick to get kbuild to create ubuntu/built-in.o
obj- += foo.o

=== ubuntu/qc-usb/Makefile ===
#obj-$(CONFIG_QC_USB) := quickcam.o

quickcam-objs := qc-driver.o qc-hdcs.o qc-pb0100.o qc-vv6410.o qc-formats.o qc-mjpeg.o qc-memory.o

=== ubuntu/misc/wireless/Makefile ===
#
# Makefile for Ubuntu additional drivers
#

obj-$(CONFIG_WIRELESS_ACX)	+= acx/
obj-$(CONFIG_P80211)		+= p80211/
obj-$(CONFIG_PRISM2_USB)	+= prism2_usb/
obj-$(CONFIG_WIRELESS_AT76)	+= at76/

=== ubuntu/misc/wireless/at76/Makefile ===
obj-$(CONFIG_WIRELESS_AT76)	+= at76_usb.o

at76_usb-objs	:= at76c503.o at76_usbdfu.o

=== ubuntu/misc/wireless/p80211/Makefile ===
obj-$(CONFIG_P80211) := p80211.o

p80211-objs := p80211mod.o \
		p80211conv.o \
		p80211req.o \
		p80211wep.o \
		p80211wext.o \
		p80211netdev.o

EXTRA_CFLAGS += -DWLAN_TXMGMT_MINBRATE -DRSN_INTERNAL_ROAM \
	-DWLAN_HOSTIF=WLAN_NONE -I$(src)

=== ubuntu/misc/wireless/prism2_usb/Makefile ===
obj-$(CONFIG_PRISM2_USB) += prism2_usb.o

EXTRA_CFLAGS += -I$(src)/../p80211 -I$(src)

=== debian/changelog ===
linux-lpia (2.6.28-2.4) jaunty; urgency=low

  [ Andy Whitcroft ]

  * rebase -- convert lpia rebase script to the jaunty tree
  * rebase -- remove modifications to generated files from the patches
  * rebase -- use the original kernels base date for our base date
  * retag-selective -- ensure we keep our original tags
  * rebase -- do not remove tags that is for retag-selective
  * rebase -- when scrubbing a patch it may become a noop
  * rebase -- create a real commit for the -0.0 base tag
  * rebase -- ensure we use a common name on first changelog
  * rebase -- fix up old format version strings
  * rename tooling to -lpia suffix for easier identification
  * getabis -- handle ports/universe kernels and non linux source
  * Revert "SAUCE: don't use buggy _BCL/_BCM/_BQC for backlight control"

  [ Ante ]

  * Update drbd to 8.3.0

  [ Ben Collins ]

  * lirc_gpio: Forward ported to current kernel (jaunty)
  * configs: Enable LIRC_GPIO on 64-bit/32-bit x86
    - LP: #298791

  [ Dave Airlie ]

  * SAUCE: (drop after 2.6.28) i915/drm: provide compat defines for
    userspace for certain struct

  [ Eric Anholt ]

  * SAUCE: (drop after 2.6.28) drm/i915: Don't double-unpin buffers if we
    take a signal in
  * SAUCE: (drop after 2.6.28) drm/i915: Don't complain when interrupted
    while pinning in execbuffers.
  * SAUCE: (drop after 2.6.28) drm/i915: Don't allow objects to get bound
    while VT switched.

  [ Jani Monoses ]

  * Fix webcam having USB ID 0ac8:303b
    - LP: #292086

  [ Jeff Layton ]

  * SAUCE: cifs: make sure we allocate enough storage for socket address
    - LP: #318565

  [ Jesse Barnes ]

  * SAUCE: (drop after 2.6.28) drm/i915: set vblank enabled flag correctly
    across IRQ
  * SAUCE: (drop after 2.6.28) drm/i915: don't enable vblanks on disabled
    pipes

  [ Luke Yelavich ]

  * Add hid quirks to input-modules udeb

  [ Mario Limonciello ]

  * SAUCE: Enable HDMI audio codec on Studio XPS 1340
    - LP: #309508

  [ Tim Gardner ]

  * Fix armel d-i FTBSs
  * SAUCE: Increase ATA_TMOUT_PMP_SRST_WAIT to 5 seconds.
    - LP: #318978
  * Update armel versatile config
    - LP: #314789
  * Enabled CONFIG_RT2860=m for i386/amd64
  * Enabled CONFIG_RT2870=m for i386/amd64
  * Fix udeb generation breakage caused by the previous armel versatile
    flavour config update.
  * Return 0 when ABI skip is requested and no ABI files exist.
  * Enabled CONFIG_PID_NS=y for i386/amd64 (version 2)

  [ Upstream Kernel Changes ]

  * USB: re-enable interface after driver unbinds
  * Input: atkbd - add keyboard quirk for HP Pavilion ZV6100 laptop
    - LP: #291878
  * ALSA: hda - Add quirk for another HP dv7
  * ALSA: hda - Add quirk for HP6730B laptop
  * ALSA: caiaq - Fix Oops with MIDI
  * ALSA: hda - Fix typos for AD1882 codecs
  * x86: fix intel x86_64 llc_shared_map/cpu_llc_id anomolies
  * x86: default to SWIOTLB=y on x86_64
  * CIFS: make sure that DFS pathnames are properly formed
  * ring-buffer: prevent false positive warning
  * ring-buffer: fix dangling commit race
  * iwlwifi: use GFP_KERNEL to allocate Rx SKB memory
  * tx493[89]ide: Fix length for __ide_flush_dcache_range
  * tx4939ide: Do not use zero count PRD entry
  * SCSI: eata: fix the data buffer accessors conversion regression
  * USB: emi26: fix oops on load
  * x86, UV: remove erroneous BAU initialization
  * x86: fix incorrect __read_mostly on _boot_cpu_pda
  * vmalloc.c: fix flushing in vmap_page_range()
  * fs: symlink write_begin allocation context fix
  * cgroups: fix a race between cgroup_clone and umount
  * dm raid1: fix error count
  * dm log: fix dm_io_client leak on error paths
  * minix: fix add link's wrong position calculation
  * md: fix bitmap-on-external-file bug.
  * sched_clock: prevent scd->clock from moving backwards, take #2
  * devices cgroup: allow mkfifo
  * SCSI: aha152x_cs: Fix regression that keeps driver from using shared
    interrupts
  * ioat: fix self test for multi-channel case
  * USB: isp1760: use a specific PLX bridge instead of any bdridge
  * USB: isp1760: Fix probe in PCI glue code
  * USB: unusual_devs.h additions for Pentax K10D
  * inotify: fix type errors in interfaces
  * Move compat system call declarations to compat header file
  * Convert all system calls to return a long
  * Rename old_readdir to sys_old_readdir
  * Remove __attribute__((weak)) from sys_pipe/sys_pipe2
  * Make sys_pselect7 static
  * Make sys_syslog a conditional system call
  * System call wrapper infrastructure
  * powerpc: Enable syscall wrappers for 64-bit
  * s390: enable system call wrappers
  * System call wrapper special cases
  * System call wrappers part 01
  * System call wrappers part 02
  * System call wrappers part 03
  * System call wrappers part 04
  * System call wrappers part 05
  * System call wrappers part 06
  * System call wrappers part 07
  * System call wrappers part 08
  * System call wrappers part 09
  * System call wrappers part 10
  * System call wrappers part 11
  * System call wrappers part 12
  * System call wrappers part 13
  * System call wrappers part 14
  * System call wrappers part 15
  * System call wrappers part 16
  * System call wrappers part 17
  * System call wrappers part 18
  * System call wrappers part 19
  * System call wrappers part 20
  * System call wrappers part 21
  * System call wrappers part 22
  * System call wrappers part 23
  * System call wrappers part 24
  * System call wrappers part 25
  * System call wrappers part 26
  * System call wrappers part 27
  * System call wrappers part 28
  * System call wrappers part 29
  * System call wrappers part 30
  * System call wrappers part 31
  * System call wrappers part 32
  * System call wrappers part 33
  * s390 specific system call wrappers
  * x86: fix RIP printout in early_idt_handler
  * Fix timeouts in sys_pselect7
  * USB: another unusual_devs entry for another bad Argosy storage device
  * USB: storage: extend unusual range for 067b:3507


=== debian/control ===
Source: linux-lpia
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 4), module-init-tools, kernel-wedge (>= 2.24ubuntu1), makedumpfile
Build-Depends-Indep: xmlto, docbook-utils, gs, transfig, bzip2, sharutils
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-jaunty.git

Package: linux-lpia-source-2.6.28
Architecture: lpia
Section: devel
Priority: optional
Provides: linux-lpia-source, linux-lpia-source-2.6
Depends: binutils, bzip2, coreutils | fileutils (>= 4.0)
Recommends: libc-dev, gcc, make
Suggests: libncurses-dev | ncurses-dev, kernel-package, libqt3-dev
Description: Linux kernel source for version 2.6.28 with Ubuntu patches
 This package provides the source code for the Linux kernel version
 2.6.28.
 .
 This package is mainly meant for other packages to use, in order to build
 custom flavours.
 .
 If you wish to use this package to create a custom Linux kernel, then it
 is suggested that you investigate the package kernel-package, which has
 been designed to ease the task of creating kernel image packages.
 .
 If you are simply trying to build third-party modules for your kernel,
 you do not want this package. Install the appropriate linux-headers
 package instead.

Package: linux-lpia-doc-2.6.28
Architecture: lpia
Section: doc
Priority: optional
Provides: linux-doc-2.6
Conflicts: linux-doc-2.6
Replaces: linux-doc-2.6
Depends: coreutils | fileutils (>= 4.0)
Description: Linux kernel specific documentation for version 2.6.28
 This package provides the various readme's in the 2.6.28 kernel
 Documentation/ subdirectory: these typically contain kernel-specific
 installation notes for some drivers for example. See
 /usr/share/doc/linux-doc-2.6.28/Documentation/00-INDEX for a list of what
 is contained in each file.  Please read the Changes file, as it contains
 information about the problems, which may result by upgrading your
 kernel.

Package: linux-lpia-headers-2.6.28-2
Architecture: lpia
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: linux-headers, linux-headers-2.6
Description: Header files related to Linux kernel version 2.6.28
 This package provides kernel header files for version 2.6.28, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-headers-2.6.28-2/debian.README.gz for details

Package: linux-libc-dev
Architecture: lpia
Conflicts: libc6-dev (<< 2.3.2.ds1-6), libc6.1-dev (<< 2.3.2.ds1-6), dvb-dev (<< 1.0.1-6), amd64-libs-dev (<= 1.1), linux-kernel-headers
Replaces: libc6-dev (<< 2.3.2.ds1-6), libc6.1-dev (<< 2.3.2.ds1-6), dvb-dev (<< 1.0.1-6), linux-kernel-headers
Provides: linux-kernel-headers
Description: Linux Kernel Headers for development
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-headers-* packages for that.

Package: linux-image-2.6.28-2-lpia
Architecture: lpia
Section: base
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Provides: linux-image, linux-image-2.6, fuse-module, kvm-api-4, redhat-cluster-modules
Depends: initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3)
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: lilo (>= 19.1) | grub
Suggests: fdutils, linux-doc-2.6.28 | linux-source-2.6.28
Description: Linux kernel image for version 2.6.28 on Intel Atom processors
 This package contains the Linux kernel image for version 2.6.28 on
 Intel Atom processors.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Intel Atom processors.
 .
 Geared toward LPIA-based mobile devices
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpia meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-2.6.28-2-lpia
Architecture: lpia
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-lpia-headers-2.6.28-2, ${shlibs:Depends}
Provides: linux-headers, linux-headers-2.6
Description: Linux kernel headers for version 2.6.28 on Intel Atom processors
 This package provides kernel header files for version 2.6.28 on
 Intel Atom processors.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-headers-2.6.28-2/debian.README.gz for details.

Package: linux-image-debug-2.6.28-2-lpia
Architecture: lpia
Section: devel
Priority: optional
Provides: linux-debug
Description: Linux kernel debug image for version 2.6.28 on Intel Atom processors
 This package provides a kernel debug image for version 2.6.28 on
 Intel Atom processors.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-image-2.6.28-2-lpiacompat
Architecture: lpia
Section: base
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Provides: linux-image, linux-image-2.6, fuse-module, kvm-api-4, redhat-cluster-modules
Depends: initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3)
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: lilo (>= 19.1) | grub
Suggests: fdutils, linux-doc-2.6.28 | linux-source-2.6.28
Description: Linux kernel image for version 2.6.28 on LPIA-compatible (x86) processors
 This package contains the Linux kernel image for version 2.6.28 on
 LPIA-compatible (x86) processors.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports x86 processors.
 .
 Geared toward LPIA-based mobile devices
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpiacompat meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-2.6.28-2-lpiacompat
Architecture: lpia
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-lpia-headers-2.6.28-2, ${shlibs:Depends}
Provides: linux-headers, linux-headers-2.6
Description: Linux kernel headers for version 2.6.28 on LPIA-compatible (x86) processors
 This package provides kernel header files for version 2.6.28 on
 LPIA-compatible (x86) processors.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-headers-2.6.28-2/debian.README.gz for details.

Package: linux-image-debug-2.6.28-2-lpiacompat
Architecture: lpia
Section: devel
Priority: optional
Provides: linux-debug
Description: Linux kernel debug image for version 2.6.28 on LPIA-compatible (x86) processors
 This package provides a kernel debug image for version 2.6.28 on
 LPIA-compatible (x86) processors.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.
